.flex-text-center {
    text-align: center;
    padding: 0;
    font-weight: normal;
}

.flexrowtrunc {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: flex-start;

    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    > * {
        flex: 1;
    }
}

.flex-center {
    align-items: center;
    justify-content: center;
    text-align: center;
}

.flex-between {
    justify-content: space-between;
}

/* ----------------------------------------- */
/*  Flexbox                                  */
/* ----------------------------------------- */

.flexrow {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: flex-start;
    // text-align: left;
    // white-space: nowrap;
    // overflow: hidden;
    // text-overflow: ellipsis;
    > * {
        flex: 1;
    }

    .flex1 {
        flex: 1;
    }
    .flex2 {
        flex: 2;
    }
    .flex3 {
        flex: 3;
    }
    .flex4 {
        flex: 4;
    }
    .flex5 {
        flex: 5;
    }
    .flex6 {
        flex: 6;
    }

    .flexshrink0 {
        flex-shrink: 0;
    }
    .flexshrink1 {
        flex-shrink: 1;
    }
    .flexshrink2 {
        flex-shrink: 2;
    }
    .flexshrink3 {
        flex-shrink: 3;
    }
    .flexshrink4 {
        flex-shrink: 4;
    }
    .flexshrink5 {
        flex-shrink: 5;
    }

    .text-trunc {
        flex-shrink: 0;
        min-width: 0;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }
}

.flexcol {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;

    > * {
        flex: 1;
    }

    .flex1 {
        flex: 1;
    }
    .flex2 {
        flex: 2;
    }
    .flex3 {
        flex: 3;
    }
    .flex4 {
        flex: 4;
    }
    .flex5 {
        flex: 5;
    }
    .flex6 {
        flex: 6;
    }

    .text-trunc {
        flex-shrink: 0;
        min-width: 0;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }
}
